<div class="home">
  <div class="home__wrapper">
    <form name="form" novalidate>
      <h1 class="home__title">Тестовое задание</h1>
      <sh-text-field name="name" placeholder="Имя" required="true" type="text" data="$ctrl.txtName" is-valid="$ctrl.isNameValid"></sh-text-field>
      <sh-text-field name="email" placeholder="E-mail" class="email-field" required="true" type="email" data="$ctrl.txtEmail" is-valid="$ctrl.isEmailValid"></sh-text-field>
      <sh-button text="Ввод" on-click="$ctrl.onClick()" disabled="form.$error.email || form.$error.required"></sh-button>
    </form>
  </div>
</div>
